## org.eclipse.datatools.connectivity.oda.design.ui.manifest
Class UIManifestExplorer

    java.lang.Object
      org.eclipse.datatools.connectivity.oda.design.ui.manifest.UIManifestExplorer

public class UIManifestExplorer
extends java.lang.Object

The UI Manifest Explorer is the entry point to explore and access the manifest of all the ODA design time plug-ins extensions that implement the `org.eclipse.datatools.connectivity.oda.design.ui.dataSource` extension point. The `UIManifestExplorer` singleton instance is accessed using the `getInstance()` static method.

Method Summary
`DataSetUIElement` `getDataSetUIElement(java.lang.String dataSourceId, java.lang.String dataSetElementID)` Returns the DataSetUIElement instance that represents the dataSetUI element with the given id defined in the ODA extension manifest of the specified data source element id.
`UIExtensionManifest` `getExtensionManifest(java.lang.String dataSourceId)` Finds and returns the extension configuration information defined in the plugin manifest of the ODA data source UI extension that implements the DTP ODA design-time extension point - `org.eclipse.datatools.connectivity.oda.design.ui.dataSource`.
`java.util.Map` `getExtensionManifestsWithWizardName()` Returns a collection of all DTP ODA design-time extension configuration information found in plugins registry.
`static UIManifestExplorer` `getInstance()` Returns the `UIManifestExplorer` instance to explore the manifest of all ODA data source UI extensions.
`java.lang.String` `getOdaDesignerId(java.lang.String odaDataSourceId)` Finds the plugin id that implements the `org.eclipse.datatools.connectivity.oda.design.ui.dataSource` extension point for the given ODA run-time data source element id.
`IConfigurationElement` `getPropertyPageElement(java.lang.String odaDataSourceId)` Finds and returns the propertyPages extension configuration element in the plugin manifest of an extended ODA Designer UI plugin, which implements the `org.eclipse.datatools.connectivity.oda.design.ui.dataSource` and `org.eclipse.ui.propertyPages` extension points.
`void` `refresh()` Refresh the manifest explorer, and allows it to get the latest ODA Design UI extension manifests.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static UIManifestExplorer getInstance()

  Returns the `UIManifestExplorer` instance to explore the manifest of all ODA data source UI extensions.

  Returns:
    the `UIManifestExplorer` singleton instance.

### refresh

    public void refresh()

  Refresh the manifest explorer, and allows it to get the latest ODA Design UI extension manifests.

### getExtensionManifestsWithWizardName

    public java.util.Map getExtensionManifestsWithWizardName()

  Returns a collection of all DTP ODA design-time extension configuration information found in plugins registry. Each extension's UIExtensionManifest and its corresponding new wizard name are stored as the key and value in the returned collection. Returns an empty collection if there are no design-time extensions found. Invalid extension definitions are ignored.

  Returns:
    a collection of all DTP ODA design-time extension manifests, with each extension's UIExtensionManifest and its corresponding new wizard name as the key and value.

### getExtensionManifest

    public UIExtensionManifest getExtensionManifest(java.lang.String dataSourceId)
                                             throws OdaException

  Finds and returns the extension configuration information defined in the plugin manifest of the ODA data source UI extension that implements the DTP ODA design-time extension point - `org.eclipse.datatools.connectivity.oda.design.ui.dataSource`.

  Parameters:
    `dataSourceId` - the unique id of the data source element in the ODA designer data source extension.
  Returns:
    the UI extension manifest information; or null, if no extension is found
  Throws:
    `OdaException` - if the extension manifest is invalid

### getDataSetUIElement

    public DataSetUIElement getDataSetUIElement(java.lang.String dataSourceId,
                                                java.lang.String dataSetElementID)
                                         throws OdaException

  Returns the DataSetUIElement instance that represents the dataSetUI element with the given id defined in the ODA extension manifest of the specified data source element id. An ODA extension is one that implements the DTP ODA design-time extension point - `org.eclipse.datatools.connectivity.oda.design.ui.dataSource`. If the given data set element id is null and the data source UI extension has only one data set element, that data set element will be returned by default.

  Parameters:
    `dataSourceId` - the unique id of the data source element in the ODA designer data source extension.
    `dataSetElementID` - the id of the data set ui element.
  Returns:
    the data set element definition.
  Throws:
    `OdaException` - if specified data source element id or data set element id is not found, or if there are more than one data set elements but no dataSetElementID is specified.

### getPropertyPageElement

    public IConfigurationElement getPropertyPageElement(java.lang.String odaDataSourceId)

  Finds and returns the propertyPages extension configuration element in the plugin manifest of an extended ODA Designer UI plugin, which implements the `org.eclipse.datatools.connectivity.oda.design.ui.dataSource` and `org.eclipse.ui.propertyPages` extension points.

  Parameters:
    `odaDataSourceId` - an ODA data source extension element ID
  Returns:
    the configuration element of the `org.eclipse.ui.propertyPages` extension

### getOdaDesignerId

    public java.lang.String getOdaDesignerId(java.lang.String odaDataSourceId)

  Finds the plugin id that implements the `org.eclipse.datatools.connectivity.oda.design.ui.dataSource` extension point for the given ODA run-time data source element id.

  Parameters:
    `odaDataSourceId` - an ODA data source extension element ID
  Returns:

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.